# Uses of Class
org.apache.lucene.codecs.bloom.HashFunction

Packages that use HashFunction
Package
Description
org.apache.lucene.codecs.bloom
Codec PostingsFormat for fast access to low-frequency terms such as primary key fields.

- ## Uses of HashFunction in org.apache.lucene.codecs.bloom

  Subclasses of HashFunction in org.apache.lucene.codecs.bloom
  Modifier and Type
  Class
  Description
  `class`
  `MurmurHash64`
  This is a very fast, non-cryptographic hash suitable for general hash-based lookup.
  Fields in org.apache.lucene.codecs.bloom declared as HashFunction
  Modifier and Type
  Field
  Description
  `static final HashFunction`
  MurmurHash64.`INSTANCE`